CONFIG +=  compile_examples system-sqlite silent qpa largefile precompile_header enable_new_dtags neon
QT_BUILD_PARTS += libs tools
QT_NO_DEFINES =  ALSA IMAGEFORMAT_JPEG LIBPROXY NIS OPENVG PULSEAUDIO TABLET TSLIB XINPUT ZLIB
QT_QCONFIG_PATH = 
host_build {
    QT_CPU_FEATURES.arm64 =  neon
} else {
    QT_CPU_FEATURES.arm64 =  neon
}
QT_COORD_TYPE = double
QT_CFLAGS_MYSQL   = -I/usr/include/mysql
QT_LFLAGS_MYSQL   = -lmysqlclient -lz -lssl -lcrypto
QT_CFLAGS_SQLITE   =  
QT_LFLAGS_SQLITE   = -lsqlite3  
QT_LFLAGS_ODBC   = -lodbc
OPENSSL_LIBS = -lssl -lcrypto
QMAKE_CC = gcc
QMAKE_CFLAGS = -Os
QMAKE_CXXFLAGS = -Os
styles += mac fusion windows
DEFINES += QT_NO_MTDEV
CONFIG += use_libmysqlclient_r
QT_LIBS_DBUS = -ldbus-1  
QT_CFLAGS_DBUS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
QT_HOST_CFLAGS_DBUS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
QT_CFLAGS_GLIB = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread  
QT_LIBS_GLIB = -lgthread-2.0 -pthread -lglib-2.0 -lintl  
QT_CFLAGS_QGTKSTYLE = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/atk-1.0 -pthread  
QT_LIBS_QGTKSTYLE = -lgobject-2.0 -lglib-2.0 -lintl  
QT_CFLAGS_QGTK2 = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/atk-1.0 -pthread  
QT_LIBS_QGTK2 = -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype  
QMAKE_INCDIR_OPENGL =  "/usr/include/libdrm"
QMAKE_LIBDIR_OPENGL = 
QMAKE_LIBS_OPENGL =  "-lGL"
QMAKE_CFLAGS_OPENGL = 
QMAKE_CFLAGS_FONTCONFIG = -I/usr/include/freetype2 -I/usr/include/libpng16  
QMAKE_LIBS_FONTCONFIG = -lfontconfig -lfreetype  
QMAKE_INCDIR_LIBUDEV =  
QMAKE_LIBS_LIBUDEV = -ludev  
DEFINES += QT_NO_TSLIB
QMAKE_INCDIR_XKBCOMMON_EVDEV =  
QMAKE_LIBS_XKBCOMMON_EVDEV = -lxkbcommon  
DEFINES += QT_NO_LIBINPUT
QMAKE_LIBXI_VERSION_MAJOR = 1
QMAKE_LIBXI_VERSION_MINOR = 7
QMAKE_LIBXI_VERSION_PATCH = 7
QMAKE_X11_PREFIX = /usr
QMAKE_CFLAGS_XKBCOMMON =  
QMAKE_LIBS_XKBCOMMON = -lxkbcommon-x11 -lxkbcommon  
QMAKE_INCDIR_EGL = /usr/include/libdrm  
QMAKE_LIBS_EGL = -lEGL  
QMAKE_CFLAGS_EGL =  
QMAKE_CFLAGS_XCB =  
QMAKE_LIBS_XCB = -lxcb-sync -lxcb-xfixes -lxcb-randr -lxcb-image -lxcb-shm -lxcb-keysyms -lxcb-icccm -lxcb -lxcb-shape  
sql-drivers = 
sql-plugins =  mysql odbc psql sqlite tds
